name: 7zip_update
on:
  schedule:
    - cron: '0 23 * * *'  # 每天北京时间早上7点执行
  workflow_dispatch:  # 允许手动触发
  push:
    branches: [ main, master ]

env:
  7Z_VERSION: "2501"

jobs:
  update-rules:
    runs-on: ubuntu-latest
    
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4
        
      - name: 创建目录结构
        run: |
          mkdir -p app/ tmp/
      
      - name: 下载并解压7zip
        run: |
          curl -L "https://github.com/ip7z/7zip/releases/download/latest/7z$7Z_VERSION.exe" \
                 -o "app/7z.exe" \
                 --fail --silent --show-error
                 
          curl -L "https://github.com/ip7z/7zip/releases/download/latest/7z$7Z_VERSION-linux-x86.tar.xz" \
                 -o "7z.tar.xz" \
                 --fail --silent --show-error \
          && tar -xvf 7z.tar.xz -C tmp/ \
          && mv tmp/7zz app/

      - name: 提交更改
        run: |
          git config --local user.email "gitea-actions[bot]@users.noreply.nvme.cc"
          git config --local user.name "gitea-actions[bot]"
          git add ./app
          git diff --cached --quiet || git commit -m "Update rules: $(TZ=Asia/Shanghai date +'%Y-%m-%d %H:%M:%S')"
          git push